LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::report::SectionPageBreak Constant Group Reference

Specifies that page breaks are allowed inside this section. More...

## Variables
const short | NONE = 0
| Page breaks will never be inserted. More...
const short | SECTION = 1
| If the section doesn't fit on page than a page break will be inserted as long as the section fits. More...
const short | AUTO = 2
| If the section doesn't fit on page than a page break will be inserted as long as the section fits. More...

## Detailed Description

Specifies that page breaks are allowed inside this section.

See also
  XSection

## Variable Documentation

## ◆ AUTO

const short AUTO = 2

If the section doesn't fit on page than a page break will be inserted as long as the section fits.

## ◆ NONE

const short NONE = 0

Page breaks will never be inserted.

If the section doesn't fit on a page than the content will be cut.

## ◆ SECTION

const short SECTION = 1

If the section doesn't fit on page than a page break will be inserted as long as the section fits.

Inner sections will doesn't contain further page breaks.